Межсайтовый скриптинг в cPanel

Дата публикации:
26.02.2009
Дата изменения:
26.02.2009
Всего просмотров:
1578
Опасность:
Низкая
Наличие исправления:
Инстуркции по устранению
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
cPanel 11.x
Уязвимые версии: cPanel 11.x

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в файле ".contactemail" в домашней директории пользователя. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в сценарии "scripts2/confdkillproc". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.cpanel.net

Решение: Уязвимость устранена в сборках Edge и Current в версиях 11.24.4 и 11.24.7 с идентификатором сборки выше 34195.

Ссылки: http://skeptikal.org/index.php?entry=entry080805-140000
http://skeptikal.org/index.php?entry=entry080809-180834

или введите имя

CAPTCHA